libfcgi-perl (0.82+ds-2build2) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 15:50:41 +0100

libfcgi-perl (0.82+ds-2build1) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 13:41:53 +0100

libfcgi-perl (0.82+ds-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + libfcgi-perl: Drop Multi-Arch: same.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 20 Nov 2022 01:43:47 +0000

libfcgi-perl (0.82+ds-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.82+ds.
  * Declare compliance with Debian Policy 4.6.0.
  * Add new test dependencies.

 -- gregor herrmann <gregoa@debian.org>  Sun, 12 Sep 2021 23:52:02 +0200

libfcgi-perl (0.79+ds-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- gregor herrmann <gregoa@debian.org>  Sun, 31 Jan 2021 01:28:55 +0100

libfcgi-perl (0.79+ds-1) experimental; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.

  [ gregor herrmann ]
  * Update 'DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow' to '=+all'.

  [ Debian Janitor ]
  * Apply multi-arch hints.

  [ gregor herrmann ]
  * Add repacking framework to get rid of embedded libfcgi files.
    (Closes: #971368)
  * Import upstream version 0.79+ds.
  * Drop CVE-2012-6687.patch which patched a now removed file.
  * debian/copyright: remove stanza about excluded file.
  * Build against the system libfcgi.
    Build-depend on libfcgi-dev, and tell Makefile.PL to use the system
    version. (Closes: #841078)
  * Declare compliance with Debian Policy 4.5.1.
  * Set Rules-Requires-Root: no.
  * Bump debhelper-compat to 13.
  * Upload to experimental to get some more testing.

 -- gregor herrmann <gregoa@debian.org>  Sun, 17 Jan 2021 17:25:44 +0100

libfcgi-perl (0.79-1) unstable; urgency=medium

  * Team upload.

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * Import upstream version 0.79.
  * Refresh CVE-2012-6687.patch (offset).
  * Update Build-Depends for cross builds.
  * Declare compliance with Debian Policy 4.4.1.
  * Bump debhelper-compat to 12.
  * debian/watch: use uscan version 4.
  * Drop no longer supported add-log-mailing-address setting from
    debian/changelog.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata.
  * debian_rules: run dh with '--without autoreconf'.

 -- gregor herrmann <gregoa@debian.org>  Sat, 21 Dec 2019 20:58:13 +0100

libfcgi-perl (0.78-2) unstable; urgency=medium

  * Team upload

  [ gregor herrmann ]
  * Remove Jonathan Yu from Uploaders. Thanks for your work!

  [ Florian Schlichting ]
  * Add fix for CVE-2012-6687 in bundled libfcgi (closes: #815840)

 -- Florian Schlichting <fsfs@debian.org>  Sun, 16 Oct 2016 15:48:17 +0200

libfcgi-perl (0.78-1) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * Make example scripts executable.
    Thanks to Herwin Weststrate for the bug report. (Closes: #778534)
  * Mark package as autopkgtest-able.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Add debian/upstream/metadata.
  * Import upstream version 0.78.
  * debian/copyright: update Upstream-Contact.
  * debian/copyright: update copyright years for configure script.
  * Set bindnow linker flag in debian/rules.
  * Declare compliance with Debian Policy 3.9.8.

 -- gregor herrmann <gregoa@debian.org>  Mon, 18 Jul 2016 22:48:01 +0200

libfcgi-perl (0.77-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop debian/clean. Files are now removed by upstream build system.

 -- gregor herrmann <gregoa@debian.org>  Tue, 12 Aug 2014 23:13:27 +0200

libfcgi-perl (0.75-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop fix-pod-error.patch, merged upstream.
  * Install example scripts.
  * Update copyright years for ./configure.

 -- gregor herrmann <gregoa@debian.org>  Sat, 19 Jul 2014 21:49:01 +0200

libfcgi-perl (0.74-2) unstable; urgency=low

  * Team upload.

  [ Alessandro Ghedini ]
  * Email change: Alessandro Ghedini -> ghedo@debian.org

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Axel Beckert ]
  * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
    copyright"

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ intrigeri ]
  * Bump debhelper compat level to 9.
  * Adjust versioned Build-Depends on debhelper to (>= 9.20120312~)
    to get hardening build flags.
  * Reformat debian/control with cme fix dpkg.
  * Declare compatibility with Standards-Version 3.9.5.

 -- intrigeri <intrigeri@debian.org>  Sun, 09 Mar 2014 03:21:41 +0100

libfcgi-perl (0.74-1) unstable; urgency=low

  * New upstream release
  * Drop cve-2011-2766.patch (merged upstream)

 -- Alessandro Ghedini <al3xbio@gmail.com>  Sat, 24 Sep 2011 20:22:00 +0200

libfcgi-perl (0.73-2) unstable; urgency=high

  * Team upload
   + High urgency for fixing a security bug

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ Damyan Ivanov ]
  * Add patch from upstream bug tracker fixing CVE-2011-2766
    Closes: #607479. Thaks to Ferdinand for reporting, Russ Allbery for the
    analysis and chansen for the patch.

 -- Damyan Ivanov <dmn@debian.org>  Sat, 17 Sep 2011 22:09:53 +0300

libfcgi-perl (0.73-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * Update my email address.

  [ Alessandro Ghedini ]
  * New upstream release. (Closes: #627806)
  * Bump Standards-Version to 3.9.2 (no changes needed)
  * Bump debhelper compat level to 8
  * Add myself to Uploaders
  * Fix dh arguments ordering
  * Drop fix-pod-spelling (merged upstream)
  * Update upstream copyright year for the configure file
  * Add fix-pod-error patch

 -- Alessandro Ghedini <al3xbio@gmail.com>  Tue, 31 May 2011 15:57:22 +0200

libfcgi-perl (0.71-1) unstable; urgency=low

  * New upstream release.
  * Remove README.source and quilt framework.

 -- Ansgar Burchardt <ansgar@43-1.org>  Thu, 01 Apr 2010 18:40:35 +0900

libfcgi-perl (0.70-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Tue, 23 Mar 2010 12:36:51 +0100

libfcgi-perl (0.70-1) unstable; urgency=low

  * New upstream release
  * debian/control: added me to Uploaders
  * debian/source/format: created with content "1.0"

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Tue, 23 Mar 2010 12:26:12 +0100

libfcgi-perl (0.69-1) unstable; urgency=low

  * New upstream release
  * Rewrite control description (Closes: #553363)
  * Standards-Version 3.8.4 (no changes)
  * Refresh quilt patch

 -- Jonathan Yu <jawnsy@cpan.org>  Tue, 16 Feb 2010 20:07:10 -0500

libfcgi-perl (0.68-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release (Closes: #544540)
  * Standards-Version 3.8.3 (drop perl version dep)
  * Use new short debhelper 7 rules format
  * Add myself to Uploaders and Copyright
  * Rewrite control description
  * Use debhelper >= 7.3.7 for --buildsystem support
  * Add a patch to fix POD spelling errors
  * Update copyright to DEP5 format

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * debian/control: Added: ${misc:Depends} to Depends: field.

  [ Ryan Niebur ]
  * Remove Florian Ragwitz from Uploaders (Closes: #523243)

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

 -- Jonathan Yu <jawnsy@cpan.org>  Fri, 15 Jan 2010 19:52:32 -0500

libfcgi-perl (0.67-3) unstable; urgency=low

  [ gregor herrmann ]
  * Take over for the Debian Perl Group with maintainer's permission
    (http://lists.debian.org/debian-perl/2008/06/msg00039.html)
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Changed:
    Maintainer set to Debian Perl Group <pkg-perl-
    maintainers@lists.alioth.debian.org> (was: Florian Ragwitz
    <rafl@debianforum.de>); Florian Ragwitz <rafl@debianforum.de> moved
    to Uploaders.
  * Add debian/watch.

  [ Ansgar Burchardt ]
  * Convert debian/copyright to proposed machine-readable format.
  * debian/copyright: Update upstream source location (Closes: #496349).
  * Bump Standards Version to 3.8.0.
  * Refresh debian/rules for debhelper 7.
  * Add myself to Uploaders.

  [ gregor herrmann ]
  * Delete config.{log,status} in debian/rules' clean target.

 -- Ansgar Burchardt <ansgar@43-1.org>  Tue, 04 Nov 2008 00:16:50 +0100

libfcgi-perl (0.67-2.1) unstable; urgency=low

  * Non-maintainer upload for the Perl 5.10 transition.
  * Don't try to remove /usr/share/perl5 if it doesn't exist. (Closes: #463552)

 -- Niko Tyni <ntyni@debian.org>  Wed, 02 Apr 2008 16:39:10 +0300

libfcgi-perl (0.67-2) unstable; urgency=low

  * New maintainer (Closes: #322098).
  * Using debhelper 4.
  * Rewrote debian/rules.
  * Updated standards version.
  * Changed Section from interpreters to perl because that's more accurate.

 -- Florian Ragwitz <rafl@debianforum.de>  Thu, 11 Aug 2005 20:22:22 +0200

libfcgi-perl (0.67-1) unstable; urgency=low

  * New upstream version.

 -- Davide Puricelli (evo) <evo@debian.org>  Sun, 19 Jan 2003 18:31:42 +0100

libfcgi-perl (0.66-1) unstable; urgency=high

  * New upstream version; closes: #161482.
  * Fully Perl 5.8 compliant; closes: #159741.

 -- Davide Puricelli (evo) <evo@debian.org>  Thu, 26 Sep 2002 12:38:34 +0200

libfcgi-perl (0.65-2) unstable; urgency=low

  * Recompiling against perl 5.8.0.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat,  3 Aug 2002 16:03:36 +0000

libfcgi-perl (0.65-1) unstable; urgency=low

  * New upstream version.

 -- Davide Puricelli (evo) <evo@debian.org>  Fri,  2 Aug 2002 12:58:44 +0200

libfcgi-perl (0.64-1) unstable; urgency=low

  * New upstream version.

 -- Davide Puricelli (evo) <evo@debian.org>  Sun,  9 Dec 2001 22:18:44 +0100

libfcgi-perl (0.60-1) unstable; urgency=low

  * New upstream version.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat, 21 Jul 2001 15:01:23 +0200

libfcgi-perl (0.59-2) unstable; urgency=low

  * Updated debian/rules because of perl 5.6 and new perl policy

 -- Davide Puricelli (evo) <evo@debian.org>  Thu, 15 Feb 2001 21:40:58 +0100

libfcgi-perl (0.59-1) unstable; urgency=low

  * New upstream version.

 -- Davide Puricelli (evo) <evo@debian.org>  Fri,  9 Feb 2001 15:15:23 +0100

libfcgi-perl (0.58-1) unstable; urgency=low

  * New upstream version.

 -- Davide Puricelli (evo) <evo@debian.org>  Fri, 29 Dec 2000 15:09:45 +0100

libfcgi-perl (0.55-1) unstable; urgency=low

  * New upstream version. (closes: #74949)

 -- Davide Puricelli (evo) <evo@debian.org>  Fri, 20 Oct 2000 14:21:36 +0200

libfcgi-perl (0.54-1) unstable; urgency=low

  * New upstream version.

 -- Davide Puricelli (evo) <evo@debian.org>  Fri, 13 Oct 2000 21:36:48 +0200

libfcgi-perl (0.53-1) unstable; urgency=low

  * New upstream release
  * New maintainer email address.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat, 22 Jul 2000 22:29:04 +0200

libfcgi-perl (0.52-2) unstable; urgency=low

  * Further fixed Makefile.PL to get rid of cruft in .diff.gz.
  * Swapped binary-{indep,arch} in debian/rules, closes: #67059.
  * Sponsored upload.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Tue, 11 Jul 2000 18:08:46 +0200

libfcgi-perl (0.52-1) unstable; urgency=low

  * Initial Release.
  * Sponsored upload for Davide Puricelli (evo) <apurice@tin.it>.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Sat, 24 Jun 2000 00:43:37 +0200
